using System;
using System.Runtime.CompilerServices;

internal sealed class Delegate637 : MulticastDelegate
{
	public extern void Invoke(ref AsyncVoidMethodBuilder asyncVoidMethodBuilder_0, IAsyncStateMachine iasyncStateMachine_0);

	public static void smethod_0(ref AsyncVoidMethodBuilder asyncVoidMethodBuilder_0, IAsyncStateMachine iasyncStateMachine_0, Delegate637 delegate637_1)
	{
		delegate637_1(ref asyncVoidMethodBuilder_0, iasyncStateMachine_0);
	}

	public extern Delegate637(object object_0, IntPtr intptr_0);

	static Delegate637()
	{
		Class10.smethod_13(typeof(Delegate637).TypeHandle);
	}

	internal static Delegate637 delegate637_0;
}
